FutureFeature (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.python.core
Enum FutureFeature

    java.lang.Object
      java.lang.Enum<FutureFeature>
          org.python.core.FutureFeature

All Implemented Interfaces:
  Serializable, Comparable<FutureFeature>, Pragma

    public enum FutureFeature

extends Enum<FutureFeature>
implements Pragma

Nested Class Summary

Nested classes/interfaces inherited from interface org.python.core.Pragma
`Pragma.ForbiddenPragmaModule, Pragma.PragmaModule`

Enum Constant Summary
`absolute_import` Enables absolute imports.
`braces` Use braces for block delimiters instead of indentation.
`division` Makes integer / integer division return float.
`generators` Enables generators.
`GIL` Enable the Global Interpreter Lock in Jython.
`global_interpreter_lock` Enable the Global Interpreter Lock in Jython.
`nested_scopes` Enables nested scopes.
`with_statement` Enables the with statement.

Field Summary
`static String` | `MODULE_NAME`
`static Pragma.PragmaModule` | `PRAGMA_MODULE`

Method Summary
`static void` | `addFeature(String featureName, PragmaReceiver features)`
`void` | `addTo(PragmaReceiver features)`
`void` | `setFlag(CompilerFlags cflags)`
`static FutureFeature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FutureFeature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### nested_scopes

    public static final FutureFeature nested_scopes

  Enables nested scopes.

### division

    public static final FutureFeature division

  Makes integer / integer division return float.

### generators

    public static final FutureFeature generators

  Enables generators.

### absolute_import

    public static final FutureFeature absolute_import

  Enables absolute imports.

### with_statement

    public static final FutureFeature with_statement

  Enables the with statement.

### braces

    public static final FutureFeature braces

  Use braces for block delimiters instead of indentation.

### GIL

    public static final FutureFeature GIL

  Enable the Global Interpreter Lock in Jython.

### global_interpreter_lock

    public static final FutureFeature global_interpreter_lock

  Enable the Global Interpreter Lock in Jython.

Field Detail

### MODULE_NAME

    public static final String MODULE_NAME

See Also:
  Constant Field Values

### PRAGMA_MODULE

    public static final Pragma.PragmaModule PRAGMA_MODULE

Method Detail

### values

    public static FutureFeature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FutureFeature c : FutureFeature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FutureFeature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### addTo

    public void addTo(PragmaReceiver features)

  Specified by:
    `addTo` in interface `Pragma`

### addFeature

    public static void addFeature(String featureName,
                                  PragmaReceiver features)

### setFlag

    public void setFlag(CompilerFlags cflags)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Jython homepage